%define name ksteak
%define version 1.0.0
%define pre pre1
%define release 0.pre.2mdk
%define fname %name-%version%pre

Summary: KDE German/English dictionary
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{fname}.tar.bz2
License: GPL
Group: System/Internationalization
Url: http://www.der-fritz.de/ksteak/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: kdelibs-devel
Requires: steak

%description
This is a GUI for the steak, a German/English dictionary. It
translates a given word or the latest one in the X selection.

%prep
%setup -q -n %fname

%build
%define __libtoolize true
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name
mkdir -p %buildroot{%_menudir,%_liconsdir,%_iconsdir,%_miconsdir}
kdedesktop2mdkmenu.pl ksteak Office/Accessories ksteak/ksteak.desktop %buildroot%_menudir/%name x11 "Steak"
perl -pi -e 's!longtitle="!longtitle="German/English dictionary!' %buildroot%_menudir/%name
ln -s %_datadir/icons/hicolor/32x32/apps/ksteak.png %buildroot%_iconsdir/
ln -s %_datadir/icons/hicolor/16x16/apps/ksteak.png %buildroot%_miconsdir/

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc README* TODO AUTHORS ChangeLog
%_bindir/%name
%_libdir/lib*
%_datadir/applnk/Applications/ksteak.desktop
%_datadir/apps/khtml/kpartplugins/ksteakplugin.rc
%_datadir/apps/ksteak/
%doc %_datadir/doc/HTML/*/ksteak/
%_datadir/icons/??color/*/*/*
%_iconsdir/%name.png
%_miconsdir/%name.png
%_menudir/%name

%changelog
* Mon Jun  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.0-0.pre.2mdk
- add ldconfig call
- rebuild for new g++

* Wed Feb 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.0-0.pre.1mdk
- initial package
